Package Details: bombono-dvd 1.2.4-5

Git Clone URL: https://aur.archlinux.org/bombono-dvd.git (read-only, click to copy)
Package Base: bombono-dvd
Description: DVD authoring program with nice and clean GUI
Upstream URL: http://www.bombono.org
Licenses: GPL
Conflicts: bombono-dvd-git
Submitter: sirocco
Maintainer: sbmomeni
Last Packager: sbmomeni
Votes: 76
Popularity: 0.000034
First Submitted: 2009-08-22 13:35
Last Updated: 2020-03-15 18:33

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

berbigou commented on 2015-11-23 10:25

same error for me than Matthew_Moore and spsf64

Matthew_Moore commented on 2015-11-22 04:31

Same Error here. :(

src/mgui/stream_utils.h:45:56: error: invalid cast from type ‘std::iostream {aka std::basic_iostream<char>}’ to type ‘void*’
operator void*() const { return (void*)io_strm; }
^
scons: *** [build/src/mgui/stream_utils.o] Error 1
scons: building terminated because of errors.
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build bombono-dvd.
==> Restart building bombono-dvd ? [y/N]

spsf64 commented on 2015-11-21 22:09

1.2.2-5 Build failed. Last output lines:
==============================
/usr/include/c++/5.2.0/bits/unique_ptr.h:49:28: note: declared here
template<typename> class auto_ptr;
^
In file included from src/mgui/stream_utils.cpp:24:0:
src/mgui/stream_utils.h: In member function ‘bin::stream::operator void*() const’:
src/mgui/stream_utils.h:45:56: error: invalid cast from type ‘std::iostream {aka std::basic_iostream<char>}’ to type ‘void*’
operator void*() const { return (void*)io_strm; }
^
scons: *** [build/src/mgui/stream_utils.o] Error 1
scons: building terminated because of errors.
==> ERROR: A failure occurred in build().
Aborting...
The build failed.
==============================

sbmomeni commented on 2015-11-21 20:30

@sirocco
There was a missing new line at the end of patch files on gist/github.
I updated the repository and it compiles on my machine with the g++ 4.9 version. Since the g++ 5.2 is available, I will look for other possible incompatibilities whenever I could update my compiler.

sirocco commented on 2015-11-21 06:24

@sbmomeni
Thank you. But something went wrong when I downloaded the patches from github.
Do you want to be the maintainer of bombono-dvd?
Meanwhile I have added you to the Co-Maintainers.


patching file src/mgui/ffviewer.cpp
patching file src/mgui/ffviewer.cpp
patching file src/mgui/dvdimport.cpp
patching file src/mgui/author/script.cpp
patching file src/mgui/project/add.cpp
patching file src/mgui/project/media-browser.cpp
patching file src/mgui/project/thumbnail.cpp
patch unexpectedly ends in middle of line
Hunk #1 succeeded at 410 with fuzz 1.
patching file src/mlib/regex.h
patching file src/mgui/author/burn.cpp
patching file src/mgui/author/execute.cpp
patching file src/mgui/author/render.cpp
patching file src/mgui/author/script.cpp
patching file src/mgui/project/browser.cpp
patch unexpectedly ends in middle of line
Hunk #1 succeeded at 328 with fuzz 1.
patching file src/mgui/project/menu-actions.cpp
patch unexpectedly ends in middle of line
...
...

In file included from /usr/include/libxml++-2.6/libxml++/libxml++.h:75:0,
from src/mbase/project/_extlibs_.h:89,
from src/mgui/_extlibs_.h:31,
from src/mgui/_pc_.h:29,
from src/mgui/stream_utils.cpp:22:
/usr/include/libxml++-2.6/libxml++/validators/xsdvalidator.h:149:8: warning: 'template<class> class std::auto_ptr' is deprecated [-Wdeprecated-declarations]
std::auto_ptr<Impl> pimpl_;
^
In file included from /usr/include/c++/5.2.0/memory:81:0,
from src/mlib/ptr.h:25,
from src/mbase/project/_extlibs_.h:36,
from src/mgui/_extlibs_.h:31,
from src/mgui/_pc_.h:29,
from src/mgui/stream_utils.cpp:22:
/usr/include/c++/5.2.0/bits/unique_ptr.h:49:28: note: declared here
template<typename> class auto_ptr;
^
In file included from src/mgui/stream_utils.cpp:24:0:
src/mgui/stream_utils.h: In member function 'bin::stream::operator void*() const':
src/mgui/stream_utils.h:45:56: error: invalid cast from type 'std::iostream {aka std::basic_iostream<char>}' to type 'void*'
operator void*() const { return (void*)io_strm; }
^
scons: *** [build/src/mgui/stream_utils.o] Error 1
scons: building terminated because of errors.
==> ERROR: A failure occurred in build().
Aborting...

sbmomeni commented on 2015-11-20 16:09

These patches fix the package:
https://gist.github.com/anonymous/72678b4073df456e76ad

sirocco commented on 2015-10-29 03:41

Not the same error. Waiting for a new patch.

evilsephiroth commented on 2015-10-28 16:39

same here. same error

evilsephiroth commented on 2015-10-28 16:39

same here. same error

Matthew_Moore commented on 2015-03-09 06:33

The package will no longer compile. I am getting these errors.

scons: *** [build/src/mgui/ffviewer.o] Error 1
scons: building terminated because of errors.
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build bombono-dvd.

Please Fix.